Vulnerability   
Search   
    Search 211766 CVE descriptions
and 97459 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

CVE ID:CVE-2016-6294
Description:The locale_accept_from_http function in ext/intl/locale/locale_methods.c in PHP before 5.5.38, 5.6.x before 5.6.24, and 7.x before 7.0.9 does not properly restrict calls to the ICU uloc_acceptLanguageFromHTTP function, which allows remote attackers to cause a denial of service (out-of-bounds read) or possibly have unspecified other impact via a call with a long argument.
Test IDs: None available
Cross References: Common Vulnerability Exposure (CVE) ID: CVE-2016-6294
http://lists.apple.com/archives/security-announce/2016/Sep/msg00006.html
BugTraq ID: 92115
http://www.securityfocus.com/bid/92115
Debian Security Information: DSA-3631 (Google Search)
http://www.debian.org/security/2016/dsa-3631
https://security.gentoo.org/glsa/201611-22
http://openwall.com/lists/oss-security/2016/07/24/2
RedHat Security Advisories: RHSA-2016:2750
http://rhn.redhat.com/errata/RHSA-2016-2750.html
http://www.securitytracker.com/id/1036430




© 1998-2021 E-Soft Inc. All rights reserved.